#!/usr/bin/env bash

# This serial script links the epsmat and bsemat files.

echo "Linking epsmat files"
for directory in {3,4}-*/; do
  echo " Working on directory $directory"

  cd $directory
  ln -sf ../1-epsilon/epsmat ./
  ln -sf ../1-epsilon/eps0mat ./
  cd ../
done

cd 4-absorption/
ln -sf ../3-kernel/bsedmat ../4-absorption
ln -sf ../3-kernel/bsexmat ../4-absorption
cd ..

echo
echo "Done!"
